import '@solana/webcrypto-ed25519-polyfill';
import { Address, Commitment, CompilableTransactionMessage, KeyPairSigner, Rpc, RpcSubscriptions, SolanaRpcApi, SolanaRpcSubscriptionsApi, TransactionMessageWithBlockhashLifetime, TransactionSigner } from '@solana/web3.js';
export type Client = {
    rpc: Rpc<SolanaRpcApi>;
    rpcSubscriptions: RpcSubscriptions<SolanaRpcSubscriptionsApi>;
};
export declare const createDefaultSolanaClient: () => Client;
export declare const createKeyPairSigner: (bytes: Uint8Array) => Promise<KeyPairSigner<string>>;
export declare const generateKeyPairSignerWithSol: (client: Client, putativeLamports?: bigint) => Promise<KeyPairSigner<string>>;
export declare const fundWalletWithSol: (client: Client, address: Address, putativeLamports?: bigint) => Promise<void>;
export declare const createDefaultTransaction: (client: Client, feePayer: TransactionSigner) => Promise<TransactionMessageWithBlockhashLifetime & import("@solana/web3.js").ITransactionMessageWithFeePayerSigner<string, TransactionSigner<string>> & Readonly<{
    instructions: readonly import("@solana/web3.js").IInstruction<string, readonly (import("@solana/web3.js").IAccountLookupMeta<string, string> | import("@solana/web3.js").IAccountMeta<string>)[]>[];
    version: 0;
}>>;
export interface TransactionOptions {
    commitment?: Commitment;
    skipPreflight?: boolean;
}
export declare const signAndSendTransaction: (client: Client, transaction: CompilableTransactionMessage & TransactionMessageWithBlockhashLifetime, options?: TransactionOptions) => Promise<import("@solana/web3.js").Signature>;
export declare const getBalance: (client: Client, address: Address) => Promise<import("@solana/web3.js").LamportsUnsafeBeyond2Pow53Minus1>;
//# sourceMappingURL=setup.d.ts.map