import { MetadataPointer } from './metadataPointer';
import { TokenMetadata } from './tokenMetadata';
import { TransferHook } from './transferHook';
export * from './metadataPointer';
export * from './transferHook';
export declare enum ExtensionType {
    Uninitialized = 0,
    TransferFeeConfig = 1,
    TransferFeeAmount = 2,
    MintCloseAuthority = 3,
    ConfidentialTransferMint = 4,
    ConfidentialTransferAccount = 5,
    DefaultAccountState = 6,
    ImmutableOwner = 7,
    MemoTransfer = 8,
    NonTransferable = 9,
    InterestBearingConfig = 10,
    CpiGuard = 11,
    PermanentDelegate = 12,
    NonTransferableAccount = 13,
    TransferHook = 14,
    TransferHookAccount = 15,
    ConfidentialTransferFeeConfig = 16,
    ConfidentialTransferFeeAmount = 17,
    MetadataPointer = 18,
    TokenMetadata = 19,
    GroupPointer = 20,
    TokenGroup = 21,
    GroupMemberPointer = 22,
    TokenGroupMember = 23
}
export declare const TOKEN_METADATA_DISCS: {
    [key: string]: Uint8Array;
};
export declare function getDiscriminator(input: string): Uint8Array;
export declare function numberToExtensionType(value: number): ExtensionType | undefined;
type ExtensionTypeMap = {
    [ExtensionType.MetadataPointer]: MetadataPointer;
    [ExtensionType.TransferHook]: TransferHook;
    [ExtensionType.TokenMetadata]: TokenMetadata;
};
export declare function deserializeExtension<T extends keyof ExtensionTypeMap>(data: Uint8Array, extensionType: T): ExtensionTypeMap[T] | null;
//# sourceMappingURL=index.d.ts.map