import { Address, IAccountMeta, IInstruction, IInstructionWithAccounts, IInstructionWithData, WritableAccount } from '@solana/web3.js';
import { TOKEN22_PROGRAM_ID } from '../../programIds';
export interface MetadataPointer {
    authority: Address;
    metadata: Address;
}
export declare enum MetadataPointerInstruction {
    Initialize = 0,
    Update = 1
}
export declare const METADATA_POINTER_EXTENSION_LENGTH = 64;
export interface InitializeMetadataPointerInput {
    tokenProgram: Address;
    mint: Address;
    metadata?: Address;
    authority?: Address;
}
export type InitializeMetadataPointerInstructionDataArgs = {
    authority: Address;
    metadata: Address;
};
export type InitializeMetadataPointerInstruction<TProgram extends string = typeof TOKEN22_PROGRAM_ID, TAccountMint extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountMint extends string ? WritableAccount<TAccountMint> : TAccountMint,
    ...TRemainingAccounts
]>;
export declare function getInitializeMetadataPointerInstruction<TAccountMint extends string>(input: InitializeMetadataPointerInput): InitializeMetadataPointerInstruction<typeof TOKEN22_PROGRAM_ID, TAccountMint>;
//# sourceMappingURL=metadataPointer.d.ts.map