import { Address, IAccountMeta, IInstruction, IInstructionWithAccounts, IInstructionWithData, WritableAccount } from '@solana/web3.js';
import { TOKEN22_PROGRAM_ID } from '../../programIds';
export interface TransferHook {
    authority: Address;
    programId: Address;
}
export declare enum TransferHookInstruction {
    Initialize = 0,
    Update = 1
}
export declare const TRANSFER_HOOK_EXTENSION_LENGTH = 64;
export interface InitializeTransferHookInput {
    tokenProgram: Address;
    mint: Address;
    authority?: Address;
    programId?: Address;
}
export type InitializeTransferHookInstructionDataArgs = {
    authority: Address;
    programId: Address;
};
export type InitializeTransferHookInstruction<TProgram extends string = typeof TOKEN22_PROGRAM_ID, TAccountMint extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountMint extends string ? WritableAccount<TAccountMint> : TAccountMint,
    ...TRemainingAccounts
]>;
export declare function getInitializeTransferHookInstruction<TAccountMint extends string>(input: InitializeTransferHookInput): InitializeTransferHookInstruction<typeof TOKEN22_PROGRAM_ID, TAccountMint>;
//# sourceMappingURL=transferHook.d.ts.map