import { TOKEN_PROGRAM_ADDRESS } from '@solana-program/token';
import { Address, IAccountMeta, IInstruction, IInstructionWithAccounts, IInstructionWithData, OptionOrNullable, WritableAccount } from '@solana/web3.js';
export type InitializeMint2Input<TAccountMint extends string = string> = {
    mint: Address<TAccountMint>;
    tokenProgram?: Address;
    decimals: InitializeMint2InstructionDataArgs['decimals'];
    mintAuthority: InitializeMint2InstructionDataArgs['mintAuthority'];
    freezeAuthority?: InitializeMint2InstructionDataArgs['freezeAuthority'];
};
export type InitializeMint2InstructionDataArgs = {
    /** Number of base 10 digits to the right of the decimal place. */
    decimals: number;
    /** The authority/multisignature to mint tokens. */
    mintAuthority: Address;
    /** The optional freeze authority/multisignature of the mint. */
    freezeAuthority?: OptionOrNullable<Address>;
};
export type InitializeMint2Instruction<TProgram extends string = typeof TOKEN_PROGRAM_ADDRESS, TAccountMint extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountMint extends string ? WritableAccount<TAccountMint> : TAccountMint,
    ...TRemainingAccounts
]>;
export declare function getInitializeMint2Instruction<TAccountMint extends string>(input: InitializeMint2Input<TAccountMint>): InitializeMint2Instruction<typeof TOKEN_PROGRAM_ADDRESS, TAccountMint>;
//# sourceMappingURL=initializeMint.d.ts.map